/// <reference path="../pb_data/types.d.ts" />
migrate((db) => {
  const dao = new Dao(db)
  const collection = dao.findCollectionByNameOrId("kao3uf79lkj9apb")

  collection.listRule = "field.field.id = @request.auth.id && field.id = @request.data.field.id"

  return dao.saveCollection(collection)
}, (db) => {
  const dao = new Dao(db)
  const collection = dao.findCollectionByNameOrId("kao3uf79lkj9apb")

  collection.listRule = "field.field.id = @request.auth.id && field.id = \"x2rvo63jccsfbsv\""

  return dao.saveCollection(collection)
})
